Package hdf.hdf5lib.structs

# Class H5AC_cache_config_t

java.lang.Object
hdf.hdf5lib.structs.H5AC_cache_config_t

All Implemented Interfaces:
  `java.io.Serializable`

    public class H5AC_cache_config_t
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `boolean` | `apply_empty_reserve` |
  `boolean` | `apply_max_decrement` |
  `boolean` | `apply_max_increment` |
  `boolean` | `close_trace_file` |
  `int` | `decr_mode` |
  `double` | `decrement` |
  `long` | `dirty_bytes_threshold` |
  `double` | `empty_reserve` |
  `long` | `epoch_length` |
  `int` | `epochs_before_eviction` |
  `boolean` | `evictions_enabled` |
  `int` | `flash_incr_mode` |
  `double` | `flash_multiple` |
  `double` | `flash_threshold` |
  `int` | `incr_mode` |
  `double` | `increment` |
  `long` | `initial_size` |
  `double` | `lower_hr_threshold` |
  `long` | `max_decrement` |
  `long` | `max_increment` |
  `long` | `max_size` |
  `int` | `metadata_write_strategy` |
  `double` | `min_clean_fraction` |
  `long` | `min_size` |
  `boolean` | `open_trace_file` |
  `boolean` | `rpt_fcn_enabled` |
  `boolean` | `set_initial_size` |
  `java.lang.String` | `trace_file_name` |
  `double` | `upper_hr_threshold` |
  `int` | `version` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `H5AC_cache_config_t​(int version, boolean rpt_fcn_enabled, boolean open_trace_file, boolean close_trace_file, java.lang.String trace_file_name, boolean evictions_enabled, boolean set_initial_size, long initial_size, double min_clean_fraction, long max_size, long min_size, long epoch_length, int incr_mode, double lower_hr_threshold, double increment, boolean apply_max_increment, long max_increment, int flash_incr_mode, double flash_multiple, double flash_threshold, int decr_mode, double upper_hr_threshold, double decrement, boolean apply_max_decrement, long max_decrement, int epochs_before_eviction, boolean apply_empty_reserve, double empty_reserve, long dirty_bytes_threshold, int metadata_write_strategy)` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### version

    public int version

  - ### rpt_fcn_enabled

    public boolean rpt_fcn_enabled

  - ### open_trace_file

    public boolean open_trace_file

  - ### close_trace_file

    public boolean close_trace_file

  - ### trace_file_name

    public java.lang.String trace_file_name

  - ### evictions_enabled

    public boolean evictions_enabled

  - ### set_initial_size

    public boolean set_initial_size

  - ### initial_size

    public long initial_size

  - ### min_clean_fraction

    public double min_clean_fraction

  - ### max_size

    public long max_size

  - ### min_size

    public long min_size

  - ### epoch_length

    public long epoch_length

  - ### incr_mode

    public int incr_mode

  - ### lower_hr_threshold

    public double lower_hr_threshold

  - ### increment

    public double increment

  - ### apply_max_increment

    public boolean apply_max_increment

  - ### max_increment

    public long max_increment

  - ### flash_incr_mode

    public int flash_incr_mode

  - ### flash_multiple

    public double flash_multiple

  - ### flash_threshold

    public double flash_threshold

  - ### decr_mode

    public int decr_mode

  - ### upper_hr_threshold

    public double upper_hr_threshold

  - ### decrement

    public double decrement

  - ### apply_max_decrement

    public boolean apply_max_decrement

  - ### max_decrement

    public long max_decrement

  - ### epochs_before_eviction

    public int epochs_before_eviction

  - ### apply_empty_reserve

    public boolean apply_empty_reserve

  - ### empty_reserve

    public double empty_reserve

  - ### dirty_bytes_threshold

    public long dirty_bytes_threshold

  - ### metadata_write_strategy

    public int metadata_write_strategy

- ## Constructor Details

  - ### H5AC_cache_config_t

    public H5AC_cache_config_t​(int version, boolean rpt_fcn_enabled, boolean open_trace_file, boolean close_trace_file, java.lang.String trace_file_name, boolean evictions_enabled, boolean set_initial_size, long initial_size, double min_clean_fraction, long max_size, long min_size, long epoch_length, int incr_mode, double lower_hr_threshold, double increment, boolean apply_max_increment, long max_increment, int flash_incr_mode, double flash_multiple, double flash_threshold, int decr_mode, double upper_hr_threshold, double decrement, boolean apply_max_decrement, long max_decrement, int epochs_before_eviction, boolean apply_empty_reserve, double empty_reserve, long dirty_bytes_threshold, int metadata_write_strategy)